PLplot: ltdl_win32.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Typedefs | Functions
ltdl_win32.h File Reference
`#include <windows.h>`
`#include "pldll.h"`

Go to the source code of this file.

## Classes
struct | __dlhandle

## Typedefs
typedef struct __dlhandle * | lt_dlhandle
typedef void | lt_ptr

## Functions
PLDLLIMPEXP void | lt_dlinit (void)
PLDLLIMPEXP void | lt_dlexit (void)
PLDLLIMPEXP lt_dlhandle | lt_dlopenext (char *dllname)
PLDLLIMPEXP const char * | lt_dlerror ()
PLDLLIMPEXP void * | lt_dlsym (lt_dlhandle dlhandle, const char *symbol)
PLDLLIMPEXP int | lt_dlmakeresident (lt_dlhandle handle)

## Typedef Documentation

typedef struct __dlhandle* lt_dlhandle

Definition at line 36 of file ltdl_win32.h.

typedef void lt_ptr

Definition at line 37 of file ltdl_win32.h.

## Function Documentation

PLDLLIMPEXP const char* lt_dlerror | ( |  | ) |

return last error occured. Needs some work :).

Returns
  Not much.. A string containing "No error information."

Definition at line 98 of file ltdl_win32.c.

PLDLLIMPEXP void lt_dlexit | ( | void |  | ) |

on exit free library handles and release allocate memory

Definition at line 52 of file ltdl_win32.c.

PLDLLIMPEXP void lt_dlinit | ( | void |  | ) |

initialise variables

Definition at line 44 of file ltdl_win32.c.

PLDLLIMPEXP int lt_dlmakeresident | ( | lt_dlhandle | handle | ) |

Placeholder that does nothing for now.

Parameters

  handle | Library handle.

Returns
  0

Definition at line 142 of file ltdl_win32.c.

PLDLLIMPEXP lt_dlhandle lt_dlopenext | ( | char * | dllname | ) |

Try to open shared library with given dllname. If there is no extension given LoadLibrary() assumes .dll. The library must be somewhere in the path or in the current directory.

Parameters

  dllname | The name of shared library.

Returns
  A handle to the shared library (if found).

Definition at line 75 of file ltdl_win32.c.

PLDLLIMPEXP void* lt_dlsym | ( | lt_dlhandle | dlhandle,
|  | const char * | symbol
| ) |  |

load symbol from library

Parameters

  dlhandle | Library handle as returned by ltdlopenext().
  symbol | The name of symbol to load.

Returns
  A pointer to the symbol requested.

Definition at line 113 of file ltdl_win32.c.